
require 'sketchup.rb'



def re_tag_select

    model = Sketchup.active_model
    model.start_operation('RE-TAG PART NUMBER')
    entities = model.entities
	sel = model.selection

	###### ADDING 
	faces = sel.grep(Sketchup::Face)
	@cw6 = []
	@cw7 = []
	@cw8 = []
	@cw9 = []
	@cw10 = []

	
	faces.each do |face|
		if @cw6.first == nil
            @cw6area = face.area.to_i
	
		elsif @cw7.first == nil
            @cw7area = face.area.to_i

		elsif @cw8.first == nil
            @cw8area = face.area.to_i
	
		elsif @cw9.first == nil
            @cw9area = face.area.to_i

		else @cw10.first == nil
            @cw10area = face.area.to_i
		end
	end
	
	######
	
	##colour=$colour.to_s; colour=nil if colour=="<Default>"
	prompts = ["RE-TAG :  " , "COLOURS :  "] 
    defaults = ["CW-",$colour.to_s]
	list = ["","Orange|Orchid|Coral|DeepPink|GreenYellow"]
	input = UI.inputbox( prompts,defaults,list, "Tag Part-Number : Options" )	
	puts input
	
	
	dcolour = input[1].to_s
     $colour = dcolour
	 
	model = Sketchup.active_model
    materials = model.materials
	

     face=nil
	if input[1] == "Orange"
   
       #attribute_name = input[0].name
	   #face.area.to_i == @cw6area
	   
       faces.each do |e|	   
	   e.material = [255,165,0]#Orange
	   end
	
    elsif input[1] == "Orchid"
	
	   #attribute_name = input[0].name 
	   #face.area.to_i == @cw7area
	   faces.each do |e|	
	   e.material = [186,85,211]#MediumOrchid
	   end
	   
	   
	elsif input[1] == "Coral"
	
	   #attribute_name = input[0].name
       #face.area.to_i == @cw8area	   
       faces.each do |e|		   
	   e.material = [255,127,80]#Coral
	   end

	   
	elsif input[1] == "DeepPink"
	
	   #attribute_name = input[0].name
       #face.area.to_i == @cw9area	   
	   faces.each do |e|	
	   e.material = [255,20,147]#DeepPink
		end

	else input[1] == "GreenYellow"
	
	   #attribute_name = input[0].name 
	   #face.area.to_i == @cw10area
	   faces.each do |e|	
	   e.material = [173,255,47]#GreenYellow
	   end
    end 

    model.commit_operation 
### this gives the face your-attribute called Glass that is true
end


def re_tag_random_colours

    model = Sketchup.active_model
    model.start_operation('RE-TAG PART NUMBER')
    entities = model.entities
	sel = model.selection
	###### ADDING 

	prompts = ["RE-TAG :"] 
    defaults = ["CW-"]
	input = UI.inputbox( prompts,defaults, "Tag Part-Number : Options" )	
	puts input
	
	######
    face=model.selection[0]
    face.set_attribute("Attribute",defaults,"Panel",true)
    colors = Sketchup::Color.names    
        attribute_name = colors[ rand( colors.length-1 ) ]
        m = Sketchup.active_model.materials.add( attribute_name )
        m.color = attribute_name
        sel.each{ |e|
          next unless e.is_a?(Sketchup::Face)
          e.material = m
         
        }    
 model.commit_operation          
### this gives the face your-attribute called Glass that is true
end


